Show temporary report export
curl --request GET \
--url https://api.hub.younegotiate.com/generate-reports/exports/{reportExport} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/generate-reports/exports/{reportExport}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/generate-reports/exports/{reportExport}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 42,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"report_type": {
"value": "<string>",
"label": "<string>"
},
"company_scope": {
"value": "all_members",
"label": "All Members"
},
"status": {},
"records": 150149,
"download_available": false,
"completed_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"file_name": "<string>",
"failure_message": "<string>"
},
"message": "Your report is being prepared."
}{
"message": "<string>"
}{
"message": "<string>"
}Show temporary report export
Poll one unexpired temporary export owned by the authenticated Superadmin.
GET
/
generate-reports
/
exports
/
{reportExport}
Show temporary report export
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on July 28, 2026
Was this page helpful?
⌘I

